"use client";

import { Link } from "@/i18n/routing";
import { useBasicInfo } from "@/servers/data/use-basicinfo";
import { Icon } from "@iconify/react/dist/iconify.js";



export function SocialIcons() {
	const { texts } = useBasicInfo();

	return (
		<div className="flex items-center gap-3">
			<Link
				href={texts?.android_link ? texts.android_link : "/" as any}
				className="flex size-8 items-center justify-center rounded-full bg-white transition-colors hover:bg-white/90"
				aria-label="android app"
				target="_blank"
				rel="noopener noreferrer"
			>
				<Icon icon="ph:google-play-logo-fill" className="text-[#29ABE2]" />
			</Link>

			<Link
				href={texts?.iphone_link ? texts.iphone_link : "/" as any}
				className="flex size-8 items-center justify-center rounded-full bg-white transition-colors hover:bg-white/90"
				aria-label="ios app"
				target="_blank"
				rel="noopener noreferrer"
			>
				<Icon icon="teenyicons:apple-outline" className="text-[#29ABE2]" />
			</Link>

			<Link
				href={texts?.whatsapp_link ? texts.whatsapp_link : "/" as any}
				className="flex size-8 items-center justify-center rounded-full bg-white transition-colors hover:bg-white/90"
				aria-label="Messenger"
				target="_blank"
				rel="noopener noreferrer"
			>
				<Icon icon="iconoir:whatsapp-solid" className="text-[#29ABE2]" />
			</Link>

			<Link
				href={texts?.youtube_link ? texts.youtube_link : "/" as any}
				className="flex size-8 items-center justify-center rounded-full bg-[#606676] transition-colors hover:bg-[#606676]/90"
				aria-label="Youtube"
				target="_blank"
				rel="noopener noreferrer"
			>
				<Icon icon="ri:youtube-line" />
			</Link>

			<Link
				href={texts?.instagram_link ? texts.instagram_link : "/" as any}
				className="flex size-8 items-center justify-center rounded-full bg-white transition-colors hover:bg-white/90"
				aria-label="Instagram"
				target="_blank"
				rel="noopener noreferrer"
			>
				<Icon icon="iconoir:instagram" className="text-[#29ABE2]" />
			</Link>

			<Link
				href={texts?.twitter_link ? texts.twitter_link : "/" as any}
				className="flex size-8 items-center justify-center rounded-full bg-white transition-colors hover:bg-white/90"
				aria-label="Twitter"
				target="_blank"
				rel="noopener noreferrer"
			>
				<Icon icon="entypo-social:twitter" className="text-[#29ABE2]" />
			</Link>

			<Link
				href={texts?.facebook_link ? texts.facebook_link : "/" as any}
				className="flex size-8 items-center justify-center rounded-full bg-white transition-colors hover:bg-white/90"
				aria-label="Facebook"
				target="_blank"
				rel="noopener noreferrer"
			>
				<Icon icon="ri:facebook-fill" className="text-[#29ABE2]" />
			</Link>
		</div>
	);
}
